#
# spec file for package apache2-bw_mod (Version 0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-bw_mod
BuildRequires: apache2-devel
%define modname bw_mod
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:      0.6
Release:      3.2
License:      Other License(s), see package, BSD
Group:        Productivity/Networking/Web/Servers
Requires:     apache2 %{apache_mmn} 
Autoreqprov:  on
Summary:      Apache2 module to restrict bandwidth
Url:          http://www.ivn.cl/apache/
Source:       http://www.ivn.cl/apache/%{modname}-%{version}.tar.bz2
Patch1:       bw_mod-0.6-apr1.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Docdir:       %{_defaultdocdir}/%{apache}

%description

%debug_package
%prep
%setup -n %{modname}-%{version}
%patch1 -p1

%build
%{apxs} -c bw_mod-%{version}.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
#cp -p .libs/%{modname}-%{version}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
cp -p .libs/%{modname}-%{version}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/bw.so

%files
%defattr(-,root,root)
%doc APACHE2-LICENSE
%doc LICENSE
%doc bw_mod-0.6.txt
# %{apache_libexecdir}/%{modname}.so
%{apache_libexecdir}/*.so

%changelog -n apache2-bw_mod
* Tue Aug 16 2005 - poeml@suse.de
- initial package (0.6)
